#ifndef _AFE_Configuration_T_h
#define _AFE_Configuration_T_h

#define AFE_FIRMWARE_VERSION "3.8.0.B0"
#define AFE_FIRMWARE_TYPE 1

/* Functionalities */
#ifndef AFE_T1_CUSTOM_E1
#define AFE_CONFIG_FUNCTIONALITY_RELAY
#define AFE_CONFIG_FUNCTIONALITY_RELAY_AUTOONOFF
#define AFE_CONFIG_FUNCTIONALITY_THERMAL_PROTECTOR
#define AFE_CONFIG_FUNCTIONALITY_REGULATOR
#define AFE_CONFIG_FUNCTIONALITY_ADC
#endif

/* Define Hardware */
#define AFE_CONFIG_HARDWARE_SWITCH
#define AFE_CONFIG_HARDWARE_DS18B20
#define AFE_CONFIG_HARDWARE_LED

/* Max number of hardware items, per AFE version */
#if defined(AFE_T1_CUSTOM_E2)
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_RELAYS 8
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_SWITCHES 8
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_LEDS 8
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_DS18B20 8
#elif defined(AFE_T1_CUSTOM_E1)
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_RELAYS 0
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_SWITCHES 1
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_LEDS 1
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_DS18B20 30
#else
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_RELAYS 4
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_SWITCHES 5
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_LEDS 5
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_DS18B20 8
#endif

#define AFE_CONFIG_HARDWARE_NUMBER_OF_RELAYS  AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_RELAYS
#define AFE_CONFIG_HARDWARE_NUMBER_OF_SWITCHES AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_SWITCHES
#define AFE_CONFIG_HARDWARE_NUMBER_OF_LEDS AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_LEDS
#define AFE_CONFIG_HARDWARE_NUMBER_OF_DS18B20  AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_DS18B20

#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_RELAYS 0
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_SWITCHES 1
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_LEDS 1
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_DS18B20 0

#ifdef AFE_CONFIG_FUNCTIONALITY_REGULATOR
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_REGULATORS AFE_CONFIG_HARDWARE_NUMBER_OF_RELAYS
#define AFE_CONFIG_HARDWARE_NUMBER_OF_REGULATORS AFE_CONFIG_HARDWARE_NUMBER_OF_RELAYS
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_REGULATORS 0
#endif

#ifdef AFE_CONFIG_FUNCTIONALITY_THERMAL_PROTECTOR
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_THERMAL_PROTECTOR AFE_CONFIG_HARDWARE_NUMBER_OF_RELAYS
#define AFE_CONFIG_HARDWARE_NUMBER_OF_THERMAL_PROTECTORS AFE_CONFIG_HARDWARE_NUMBER_OF_RELAYS
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_THERMAL_PROTECTIORS 0
#endif

#ifdef AFE_CONFIG_FUNCTIONALITY_ADC
#ifdef AFE_ESP32
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_ADCS AFE_NUMBER_OF_ADC_GPIOS
#else // ESP8266
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_ADCS 1
#endif // ESP32/ESP8266

#define AFE_CONFIG_HARDWARE_NUMBER_OF_ADCS AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_ADCS
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_ADCS 0

#endif // AFE_CONFIG_FUNCTIONALITY_ADC


#endif // _AFE_Configuration_T_h