#ifndef _AFE_Configuration_T_h
#define _AFE_Configuration_T_h



#define AFE_FIRMWARE_VERSION "3.8.0.B0"
#define AFE_FIRMWARE_TYPE 7

/* GPIOs of SmartnyDom Sterownik 

System LED: 22
RGB LED 1: 13
RGB LED 2: 14
Switch 1: 26 (Zle oznakowanie na płytce)
Switch 2: 25 (zle oznakowanie na płytce)

*/


/* Hardware */
/* Common hardware for all versions */
#define AFE_CONFIG_HARDWARE_SWITCH
#define AFE_CONFIG_HARDWARE_LED
#define AFE_CONFIG_FUNCTIONALITY_ADC
#define AFE_CONFIG_HARDWARE_CLED

#define AFE_CONFIG_HARDWARE_I2C
#define AFE_CONFIG_HARDWARE_BH1750
#define AFE_CONFIG_HARDWARE_TSL2561
#define AFE_CONFIG_HARDWARE_BINARY_SENSOR


/* Max number of hardware items per AFE version */
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_RELAYS 2
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_SWITCHES 3
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_LEDS 3
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_CLED_STRIPS 2

// Sensors only available in 4MB Flash

#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_BH1750 1
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_TSL2561 1

#ifdef AFE_ESP32
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_I2C 2
#else // ESP8266 
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_I2C 1
#endif // ESP32 || ESP8266
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_BINARY_SENSORS 4


#define AFE_CONFIG_HARDWARE_NUMBER_OF_RELAYS AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_RELAYS
#define AFE_CONFIG_HARDWARE_NUMBER_OF_SWITCHES AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_SWITCHES
#define AFE_CONFIG_HARDWARE_NUMBER_OF_LEDS AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_LEDS
#define AFE_CONFIG_HARDWARE_NUMBER_OF_CLED_STRIPS AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_CLED_STRIPS
#define AFE_CONFIG_HARDWARE_NUMBER_OF_BH1750 AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_BH1750
#define AFE_CONFIG_HARDWARE_NUMBER_OF_TSL2561 AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_TSL2561
#define AFE_CONFIG_HARDWARE_NUMBER_OF_I2C AFE_CONFIG_HARDWARE_MAX_NUMBER_I2C
#define AFE_CONFIG_HARDWARE_NUMBER_OF_BINARY_SENSORS AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_BINARY_SENSORS

/* Generic version */
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_RELAYS 0
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_SWITCHES 0
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_LEDS 1
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_CLED_STRIPS 0
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_BH1750 0
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_TSL2561 0
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_I2C 0
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_BINARY_SENSORS 0

/* Functionalities */
#define AFE_CONFIG_FUNCTIONALITY_RELAY
#define AFE_CONFIG_FUNCTIONALITY_RELAY_AUTOONOFF
#define AFE_CONFIG_FUNCTIONALITY_RELAY_CONTROL_AUTOONOFF_TIME
#define AFE_CONFIG_FUNCTIONALITY_ADC

#ifdef AFE_CONFIG_FUNCTIONALITY_ADC
#ifdef AFE_ESP32
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_ADCS AFE_NUMBER_OF_ADC_GPIOS
#else // ESP8266
#define AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_ADCS 1
#endif // ESP32/ESP8266

#define AFE_CONFIG_HARDWARE_NUMBER_OF_ADCS AFE_CONFIG_HARDWARE_MAX_NUMBER_OF_ADCS
#define AFE_CONFIG_HARDWARE_DEFAULT_NUMBER_OF_ADCS 0

#endif // AFE_CONFIG_FUNCTIONALITY_ADC

/* CLED Effects */
#ifdef AFE_CONFIG_HARDWARE_CLED
#define AFE_CONFIG_HARDWARE_CLED_ON_OFF_EFFECT
#endif

#endif // _AFE_Configuration_T_h