#ifndef _AFE_Hardware_Relay_h
#define _AFE_Hardware_Relay_h

/* Relay ON/OFF values */
#define AFE_RELAY_ON AFE_ON
#define AFE_RELAY_OFF AFE_OFF

#define AFE_RELAY_DIMMER_STEP_VALUE 2.55
#define AFE_RELAY_DIMMER_HIGH_VALUE 255
#define AFE_RELAY_DIMMER_LOW_VALUE 0

/* Signal triggering a relay */
#define AFE_RELAY_SIGNAL_TRIGGER_HIGH 1
#define AFE_RELAY_SIGNAL_TRIGGER_LOW 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_SIGNAL_TRIGGER  AFE_RELAY_SIGNAL_TRIGGER_HIGH
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_MQTT_CONNECTED 0    // Default State of relay after connection to MQTT Broker is established.

#if defined(AFE_DEVICE_SONOFF_BASIC_V1)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 12
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "relay"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#elif defined(AFE_DEVICE_SONOFF_4CH)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 12
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_GPIO 5
#define AFE_CONFIG_HARDWARE_RELAY_2_DEFAULT_GPIO 4
#define AFE_CONFIG_HARDWARE_RELAY_3_DEFAULT_GPIO 15
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "R1"
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_NAME "R2"
#define AFE_CONFIG_HARDWARE_RELAY_2_DEFAULT_NAME "R3"
#define AFE_CONFIG_HARDWARE_RELAY_3_DEFAULT_NAME "R4"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#elif defined(AFE_DEVICE_SONOFF_TOUCH_1G)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 12
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "relay"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#elif defined(AFE_DEVICE_SONOFF_TOUCH_2G)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 12
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_GPIO 5
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "R1"
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_NAME "R2"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#elif defined(AFE_DEVICE_SONOFF_TOUCH_3G)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 12
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_GPIO 5
#define AFE_CONFIG_HARDWARE_RELAY_2_DEFAULT_GPIO 4
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "R1"
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_NAME "R2"
#define AFE_CONFIG_HARDWARE_RELAY_2_DEFAULT_NAME "R3"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#elif defined(AFE_DEVICE_SONOFF_MINI_R4)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 26
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "relay"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#elif defined(AFE_DEVICE_SHELLY_1)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 4
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "relay"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#elif defined(AFE_DEVICE_iECS_GATE_DRIVERv2)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 15
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_GPIO 12
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "R1"
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_NAME "R2"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 200
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 0
#elif defined(AFE_DEVICE_iECS_GATE_DRIVERv3)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 12
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_GPIO 15
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "R1"
#define AFE_CONFIG_HARDWARE_RELAY_1_DEFAULT_NAME "R2"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 200
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 0
#elif defined(AFE_DEVICE_iECS_WHEATER_STATION_20)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 12
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "relay"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#elif defined(AFE_DEVICE_iECS_WHEATER_STATION_21)
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 15
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_NAME "relay"
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#else
#define AFE_CONFIG_HARDWARE_RELAY_0_DEFAULT_GPIO 12
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_TIME_TO_OFF 0
#define AFE_CONFIG_HARDWARE_RELAY_DEFAULT_STATE_POWER_ON 3
#endif

#endif // _AFE_Hardware_Relay_h