#ifndef _AFE_hardware_pn532_h
#define _AFE_hardware_pn532_h

/* PN532 Sensor */

#define AFE_HARDWARE_PN532_SENSOR_KEY_A 0
#define AFE_HARDWARE_PN532_SENSOR_KEY_B 1
#define AFE_HARDWARE_PN532_SENSOR_DEFAULT_KEY AFE_HARDWARE_PN532_SENSOR_KEY_B
#define AFE_HARDWARE_PN532_NUMBER_OF_SECTORS 16
#define AFE_HARDWARE_PN532_NUMBER_OF_BLOCKS 64
#define AFE_HARDWARE_PN532_NUMBER_OF_BLOCKS_PER_SECTOR 4
#define AFE_HARDWARE_PN532_NUMBER_OF_WRITABLE_BLOCKS_PER_SECTOR 3
#define AFE_HARDWARE_PN532_TAG_SIZE 6
#define AFE_HARDWARE_PN532_BLOCK_SIZE 16
#define AFE_HARDWARE_PN532_FIRST_TAG 1
#define AFE_HARDWARE_PN532_FIRST_TAG_FIRST_BLOCK 8
#define AFE_HARDWARE_PN532_FIRST_TAG_SECOND_BLOCK 16
#define AFE_HARDWARE_PN532_INTERFACE_IIC 0
#define AFE_HARDWARE_PN532_INTERFACE_UART 1

#define AFE_HARDWARE_PN532_LISTENER_EVENT_WAITING 0
#define AFE_HARDWARE_PN532_LISTENER_EVENT_FOUND 1
#define AFE_HARDWARE_PN532_LISTENER_EVENT_PROCESSING 2
#define AFE_HARDWARE_PN532_LISTENER_EVENT_PROCESSING_FINISHED 3

#define AFE_HARDWARE_PN532_DEFUALT_TIMEOUT 1000
#define AFE_HARDWARE_PN532_DEFUALT_REQUEST_PROCESSING_TIME 4000
#define AFE_HARDWARE_PN532_DEFUALT_LISTENER_TIMEOUT 500
#define AFE_HARDWARE_PN532_DEFAULT_INTERFACE AFE_HARDWARE_ITEM_NOT_EXIST

#define AFE_CONFIG_API_JSON_PN582_DATA_LENGTH 476 // @TODO T5 to check

/* MIFARE Cards configuration */

#define AFE_HARDWARE_MIFARE_CARD_ACTION_OFF 0
#define AFE_HARDWARE_MIFARE_CARD_ACTION_ON 1
#define AFE_HARDWARE_MIFARE_CARD_ACTION_TOGGLE 2

#define AFE_HARDWARE_MIFARE_CARD_SEND_AS_ONOFF 0
#define AFE_HARDWARE_MIFARE_CARD_SEND_AS_OPENCLOSED 1
#define AFE_HARDWARE_MIFARE_CARD_DEFAULT_SEND_AS AFE_HARDWARE_MIFARE_CARD_SEND_AS_ONOFF
#define AFE_HARDWARE_MIFARE_CARD_DEFAULT_HOW_LONG_KEEP_STATE AFE_HARDWARE_PN532_DEFUALT_REQUEST_PROCESSING_TIME

#define AFE_HARDWARE_MIFARE_CARD_OPTION_FORMAT_NFC 1
#define AFE_HARDWARE_MIFARE_CARD_OPTION_FORMAT_CLASSIC 2
#define AFE_HARDWARE_MIFARE_CARD_OPTION_READ_TAG 3
#define AFE_HARDWARE_MIFARE_CARD_OPTION_READ_CARD 4

#define AFE_CONFIG_API_JSON_MIFARE_CARD_DATA_LENGTH 300 // @TODO T5 to check
#define AFE_CONFIG_API_JSON_MIFARE_CARD_COMMAND_LENGTH  75 // {"command":"udevice","idx":999999,"nvalue":1,"svalue":"1234567890123456"}


#endif // _AFE_hardware_pn532_h
